Categories:
  - Games
  - Science & Education
License: GPL-3.0-only
WebSite: https://bitbucket.org/przemekr/game_of_life_agg
SourceCode: https://bitbucket.org/przemekr/game_of_life_agg/src
IssueTracker: https://bitbucket.org/przemekr/game_of_life_agg/issues

AutoName: Game of Life
Description: |-
    Implementation of [http://en.wikipedia.org/wiki/Conway%27s_Game_of_Life Conway's
    Game of Life] with a nice user interface.

    Features include:

    * Easy to use, intuitive interface
    * Number of initial states to try out
    * Resize the universe and set the evolution speed

RepoType: git
Repo: https://bitbucket.org/przemekr/game_of_life_agg.git

Builds:
  - versionName: '20131217'
    versionCode: 1
    commit: android20131217
    subdir: android
    srclibs:
      - SDL@release-2.0.1
    prebuild:
      - rm -rf jni/SDL/src jni/SDL/include
      - ln -s ../../$$SDL$$/src     jni/SDL/
      - ln -s ../../$$SDL$$/include jni/SDL/
    buildjni:
      - yes
    ndk: r12b

  - versionName: '0.2'
    versionCode: 2
    commit: '0.2'
    subdir: android
    srclibs:
      - SDL@release-2.0.1
    prebuild:
      - rm -rf jni/SDL/src jni/SDL/include
      - ln -s ../../$$SDL$$/src     jni/SDL/
      - ln -s ../../$$SDL$$/include jni/SDL/
    buildjni:
      - yes
    ndk: r12b

  - versionName: '0.3'
    versionCode: 3
    disable: pull apk
    commit: '0.3'
    subdir: android
    srclibs:
      - SDL@release-2.0.3
      - SDL_mixer@release-2.0.0
      - SDL_image@release-2.0.0
    prebuild:
      - rm -rf jni/SDL/src jni/SDL/include jni/SDL_mixer jni/SDL_image
      - ln -s ../../$$SDL$$/src     jni/SDL/
      - ln -s ../../$$SDL$$/include jni/SDL/
      - ln -s ../$$SDL_mixer$$   jni/SDL_mixer
      - ln -s ../$$SDL_image$$   jni/SDL_image
      - echo "" > jni/SDL/src/dynapi/SDL_dynapi.h &&sed -i "s/SUPPORT_WEBP := true/SUPPORT_WEBP
        := false/"               jni/SDL_image/Android.mk &&sed -i "s/SUPPORT_JPG
        := true/SUPPORT_JPG := false/"                 jni/SDL_image/Android.mk &&sed
        -i "s/SUPPORT_MOD_MODPLUG := true/SUPPORT_MOD_MODPLUG := false/" jni/SDL_mixer/Android.mk
        &&sed -i "s/SUPPORT_MOD_MIKMOD := true/SUPPORT_MOD_MIKMOD := false/"   jni/SDL_mixer/Android.mk
        &&sed -i "s/SUPPORT_MP3_SMPEG := true/SUPPORT_MP3_SMPEG := false/"     jni/SDL_mixer/Android.mk
    buildjni:
      - yes
    ndk: r12b

  - versionName: '0.4'
    versionCode: 4
    commit: '0.4'
    subdir: android
    srclibs:
      - SDL@release-2.0.3
      - SDL_mixer@release-2.0.0
      - SDL_image@release-2.0.0
    prebuild:
      - rm -rf jni/SDL/src jni/SDL/include jni/SDL_mixer jni/SDL_image
      - ln -s ../../$$SDL$$/src     jni/SDL/
      - ln -s ../../$$SDL$$/include jni/SDL/
      - ln -s ../$$SDL_mixer$$   jni/SDL_mixer
      - ln -s ../$$SDL_image$$   jni/SDL_image
      - echo "" > jni/SDL/src/dynapi/SDL_dynapi.h
      - sed -i "s/SUPPORT_WEBP := true/SUPPORT_WEBP := false/"               jni/SDL_image/Android.mk
      - sed -i "s/SUPPORT_JPG := true/SUPPORT_JPG := false/"                 jni/SDL_image/Android.mk
      - sed -i "s/SUPPORT_MOD_MODPLUG := true/SUPPORT_MOD_MODPLUG := false/" jni/SDL_mixer/Android.mk
      - sed -i "s/SUPPORT_MOD_MIKMOD := true/SUPPORT_MOD_MIKMOD := false/"   jni/SDL_mixer/Android.mk
      - sed -i "s/SUPPORT_MP3_SMPEG := true/SUPPORT_MP3_SMPEG := false/"     jni/SDL_mixer/Android.mk
    buildjni:
      - yes
    ndk: r12b

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '0.4'
CurrentVersionCode: 4
